# VoterService

The voter history service retrieves account and historical information about votes. You can use this API to find out the vote account or vote history.

```
// Retreives a list of vote accounts
fetch("https://api.belugas.io/api/voters/accounts");

// Retreives a detail information of vote account
fetch("https://api.belugas.io/api/voters/accounts/:address");

// Retreives a history of vote account
fetch("https://api.belugas.io/api/voters/history/:address");

// Retreives a vote data by proposal index
fetch("https://api.belugas.io/api/voters/:proposalId");
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.belugas.io/api/voter-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
